rules:
  # Bronze
  action-setup: done
  appropriate-polling: done
  brands: done
  common-modules: done
  config-flow: done
  config-flow-test-coverage: done
  dependency-transparency: done
  docs-actions: done
  docs-high-level-description: done
  docs-installation-instructions: done
  docs-removal-instructions: done
  entity-event-setup: done
  entity-unique-id: done
  has-entity-name: done
  runtime-data: done
  test-before-configure:
    status: done
    comment: The config flow verifies credentials and the cloud APIs.
  test-before-setup: done
  unique-config-entry: done
  # Silver
  action-exceptions: done
  config-entry-unloading: done
  docs-configuration-parameters: done
  docs-installation-parameters: done
  entity-unavailable: done
  integration-owner: done
  log-when-unavailable: done
  parallel-updates: done
  reauthentication-flow: done
  test-coverage: done
  # Gold
  devices: done
  diagnostics: done
  discovery: done
  discovery-update-info:
    status: exempt
    comment: Devices do not support discovery.
  docs-data-update: done
  docs-examples: done
  docs-known-limitations:
    status: todo
    comment: Documentation does not describe known limitations like rate limiting
  docs-supported-devices: todo
  docs-supported-functions: done
  docs-troubleshooting:
    status: todo
    comment: |
      There are good troubleshooting steps, however we should update the "cloud vs local"
      and rate limiting documentation with more information.
  docs-use-cases:
    status: todo
    comment: |
      The docs describe controlling the vacuum, though does not describe more
      interesting potential integrations with the homoe assistant ecosystem.
  dynamic-devices: todo
  entity-category: done
  entity-device-class: done
  entity-disabled-by-default:
    status: exempt
    comment: There are no noisy entities.
  entity-translations: done
  exception-translations: done
  icon-translations: todo
  reconfiguration-flow: todo
  repair-issues:
    status: todo
    comment: The Cloud vs Local API warning should probably be a repair issue.
  stale-devices: done
  # Platinum
  async-dependency: todo
  inject-websession: done
  strict-typing: done
